Subject: HELP - Finding an Elodea (Anacharis) nucleus in H.S. biology

From: [email-masked] (DonaldT430)
Date: 3 Aug 1995 12:56:57 -0400

Dear Friend,
Neither my students nor I have ever been able to find a nucleus in an
Elodea cell, even after staining with Lugol's iodine.  Can you suggest a
method that will visualize an Elodea nucleus.  If not Elodea then some
other commonly obtainable plant that could be used in a high school bio
course.
Thanks.